## gate.util
Class SimpleArraySet

    java.lang.Object
      |
      +--gate.util.SimpleArraySet

public class SimpleArraySet
extends Object

A specific *partial* implementation of the Set interface used for high performance and memory reduction on small sets. Used in gate.fsm.State, for example

Field Summary
`(package private) Object[]` `theArray` The array storing the elements

Constructor Summary
`SimpleArraySet()`

Method Summary
`boolean` `add(Object tr)`
`Iterator` `iterator()` iterator

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### theArray

    Object[] theArray

  The array storing the elements

Constructor Detail

### SimpleArraySet

    public SimpleArraySet()

Method Detail

### add

    public boolean add(Object tr)

### iterator

    public Iterator iterator()

  iterator